<template>
  <div>
    <input type="file" ref="fileInput" @change="handleFileChange">---
    <v-btn color="yellow-darken-3" @click="uploadFile"><v-icon>mdi-arrow-up-bold-box-outline</v-icon></v-btn>
  </div>
</template>

<script setup>
import axios from 'axios';

let selectedFile = null;
const emit = defineEmits(['file-uploaded']);
const props = defineProps([]);

const handleFileChange = (event) => {
  selectedFile = event.target.files[0];
};

const uploadFile = () => {
  if (!selectedFile) {
    alert('Bitte eine Datei auswählen.');
    return;
  }

  const formData = new FormData();
  formData.append('file', selectedFile);

  axios.post('http://localhost:8080/api/files/upload', formData)
      .then(response => {
        // Handle the response from the backend
        emit('file-uploaded', response.data.name);
        console.log(response.data.name); // Example: log the response data
        alert('File-upload erfolgreich.');
      })
      .catch(error => {
        // Handle any error that occurs during the upload
        console.error(error);
        alert('File-upload fehlgeschlagen.');
      });
};
</script>